function Init()
   SetTexture("bee");
   SetBlendMode(kBlendNormal);
   SetNumParticles(10);

   InitColor( Color(1,1,1,1) );
   InitPosition( "vRange", Vec3(-30,-10,0), Vec3(30,10,0) );
   InitVelocity( "vRange", Vec3(-20,-20,0), Vec3(20,20,0) );
   InitUp( "vRange", Vec3(-0.5, -1, 0 ), Vec3( 0.5, -1, 0 ));
   InitAge( "iRange", 0, 1023 );
   InitScale( .4 );

   CreateParticles(10);

--   DoUp( "vNormalizeVelocity", Vec3(0.75,1,1) );
   DoPosition( "vOscillate", Vec3( -30,-10 ), Vec3( 30, 10 ), 1024 );

   Process(0);
end


function Update(ms)
   DoPosition( "vOscillate", Vec3( -30,-10 ), Vec3( 30, 10 ), 1024 );
   DoAge( "iAge" );
end
